Summary:	Ping/Traceroute network diagnostic tool
Name:		mtr
Version:	0.49
Release:	1ml
Group:		Applications/Networking
Copyright:	GPL
Url:		http://www.bitwizard.nl/mtr/
Source:		ftp://ftp.bitwizard.nl/mtr/mtr-%{version}.tar.gz
Patch0:		mtr-makefile.patch
Buildroot:	/var/tmp/%{name}-%{version}-%{release}-root
Obsoletes:	mtr-gtk
Icon:		%{name}.gif

%description
Mtr is a network diagnostic tool which combines Ping and
Traceroute into one program. Mtr also has two interfaces:
An ncurses interface, useful for using Mtr from a telnet
session and a Gtk interface if you are using X.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/{pixmaps,man/man8}}

%setup
%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" DESTDIR=$RPM_BUILD_ROOT ./configure --prefix=/usr
make

%install
make DESTDIR=$RPM_BUILD_ROOT \
     mandir=/usr/share/man \
     sbindir=/usr/bin install-strip

chmod 4755 $RPM_BUILD_ROOT/usr/bin/mtr
install -m 644 img/mtr_icon.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

gzip -9 AUTHORS COPYING FORMATS INSTALL NEWS README SECURITY TODO
gzip -9 $RPM_BUILD_ROOT/usr/share/man/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS.gz COPYING.gz FORMATS.gz INSTALL.gz NEWS.gz README.gz SECURITY.gz
%doc TODO.gz
/usr/bin/mtr
/usr/share/pixmaps/mtr_icon.xpm
/usr/share/man/*/*

%changelog
* Wed Apr 10 2002 Takeharu SATO <tsatoh@miraclelinux.com>
- update to 0.49

* Tue Mar 7 2000 Roger Luethi <rluethi@turbolinux.com>
- update to 0.42
- option --disable-gtk has gone, hence no gtk-mtr anymore - sorry guys;
  unset DISPLAY to get text version; added Obsoletes: mtr-gtk
- moved mtr from /usr/sbin to /usr/bin
- moved man page from /usr/man to /usr/share/man
- gzipped documentation
- spec file clean-ups

* Thu Aug 19 1999 Anh Vo <anhvo@turbolinux.com>
- Removed Distribution, Vendor, and Packager tags
- Used ./configure instead of %configure

* Thu Aug 19 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.41-1]
- Added afr's patch to allow disabeling of gtk without Robn's hack. 
- Made report mode report the newly added extra resolution. 

* Wed Aug 18 1999 Ryan Weaver <ryanw@infohwy.com>
- renamed mtr-gtk to xmtr
- added symlink from /usr/bin/mtr to /usr/sbin/mtr

  [mtr-0.40-1]
- Fixed some problems with HPUX and SunOS.
- Included Olav Kvittem's patch to do packetsize option.
- Made the timekeeping in micro seconds.

* Wed Jun 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.39-1]
- Updated to version 0.39.

* Wed Jun  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.38-1]
- Updated to version 0.38.

* Thu Apr 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.37-2]
- Changed RPM headers to conform to Red Hat Contrib|Net specs.

* Mon Apr 12 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.37-1]
- v0.37
- Added Bill Bogstad's "show the local host & time" patch. 
- Added R. Sparks' show-last-ping patch, submitted by Philip Kizer.

- v0.36
- Added Craigs change-the-interval-on-the-fly patch.
- Added Moritz Barsnick's "do something sensible if host not found" 
  patch.
- Some cleanup of both Craigs and Moritz' patches.

* Wed Apr  7 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.35-1]
- v0.35
- Added Craig Milo Rogers pause/resume for GTK patch.
- Added Craig Milo Rogers cleanup of "reset". (restart at the beginning)
- Net_open used to send a first packet. After that the display-driver
  got a chance to distort the timing by taking its time to initialize.

* Mon Apr  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.34-1]
- v0.34
- Added Matt's nifty "use the icmp unreachables to do the timing" patch.
- Added Steve Kann's pause/resume patch.

* Wed Mar 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.33-1]
- v0.33
- Fixed the Linux glibc resolver problems.
- Fixed the off-by-one problem with -c option.

* Mon Mar  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.32-1]
- v0.32
- Fixed the FreeBSD bug detection stuff.

* Fri Mar  5 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.31-1]
- v0.31
- Fixed a few documentation issues. -- Matt
-  Changed the autoconf stuff to find the resolver library on
     Solaris. -- REW
-  Cleaned up the autoconf.in file a bit. -- Matt.

* Thu Mar  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [mtr-0.30-1]
- Build gtk version against gtk+-1.2.0
- v0.30
- Fixed a typo in the changelog (NEWS) entry for 0.27. :-)
- added use of "MTR_OPTIONS" environment variable for defaults.
